%-*- texinfo -*-

%@deftypefn {Function File} {@var{ret} =}  doPlot()

%Function doPlot()

%@end deftypefn

function doPlot (fcnId, par, ax)

  xVal = par.xMin:par.xStp:par.xMax;

  switch (fcnId)

    case 1

      yVal = sin(xVal);

    case 2

      yVal = cos(xVal);

    case 3

      yVal = exp(-xVal).*sin(12*xVal);

  endswitch

  plot(ax, xVal, yVal, ...

    'linewidth', 2, ...

    'color', [1 0 0]);

  grid(ax, 'on');

  xlim(ax, [par.xMin par.xMax]);

  ylim(ax, [par.yMin par.yMax]);

endfunction



