## -*- texinfo -*-
## @deftypefn  {} {} dummy()
##
## This is a dummy function documentation. This file have a lot functions
## and each one have a little documentation. This text is to avoid a warning when
## install this file as part of package.
##
## Set the graphics toolkit and force read this file as script file (not a function file).
##
graphics_toolkit qt;
##


##
##
## Begin callbacks definitions 
##

## @deftypefn  {} {} aboutDlg_btnClose_doIt (@var{src}, @var{data}, @var{aboutDlg})
##
## Define a callback for default action of btnClose control.
##
## @end deftypefn
function aboutDlg_btnClose_doIt(src, data, aboutDlg)

% El código que se indique aquí será ejecutado cuando el usuario presione en el botón.
close(aboutDlg.figure);
end

 
## @deftypefn  {} {@var{ret} = } show_aboutDlg(varargin)
##
## Create windows controls over a figure, link controls with callbacks and return 
## a window struct representation.
##
## @end deftypefn
function ret = show_aboutDlg(varargin)
  _scrSize = get(0, "screensize");
  global _simpleplotImgPath;
  _xPos = (_scrSize(3) - 293)/2;
  _yPos = (_scrSize(4) - 165)/2;
   aboutDlg = figure ( ... 
	'Color', [0.941 0.941 0.941], ...
	'name', 'About simple plot', ...
	'numbertitle', 'off', ...
	'Position', [_xPos _yPos 293 165], ...
	'Resize', 'off', ...
	'toolbar', 'auto', ...
	'windowstyle', 'normal', ...
	'MenuBar', 'none');
	 set(aboutDlg, 'visible', 'off');
  Label_9 = uicontrol( ...
	'parent',aboutDlg, ... 
	'Style','text', ... 
	'Units', 'pixels', ... 
	'BackgroundColor', [0.941 0.941 0.941], ... 
	'FontAngle', 'italic', ... 
	'FontName', 'Arial', ... 
	'FontSize', 15, 'FontUnits', 'points', ... 
	'FontWeight', 'bold', ... 
	'ForegroundColor', [0.067 0.000 1.000], ... 
	'HorizontalAlignment', 'left', ... 
	'Position', [92 121 108 24], ... 
	'String', 'Simple plot', ... 
	'TooltipString', '', ... 
	'visible', 'on');
  btnClose = uicontrol( ...
	'parent',aboutDlg, ... 
	'Style','pushbutton', ... 
	'Units', 'pixels', ... 
	'BackgroundColor', [0.941 0.941 0.941], ... 
	'FontAngle', 'normal', ... 
	'FontName', 'Arial', ... 
	'FontSize', 10, 'FontUnits', 'points', ... 
	'FontWeight', 'normal', ... 
	'ForegroundColor', [0.000 0.000 0.000], ... 
	'Position', [101 13 90 22], ... 
	'String', 'Close', ... 
	'TooltipString', '', ... 
	'visible', 'on');
  Label_11 = uicontrol( ...
	'parent',aboutDlg, ... 
	'Style','text', ... 
	'Units', 'pixels', ... 
	'BackgroundColor', [0.941 0.941 0.941], ... 
	'FontAngle', 'normal', ... 
	'FontName', 'Arial', ... 
	'FontSize', 11, 'FontUnits', 'points', ... 
	'FontWeight', 'normal', ... 
	'ForegroundColor', [1.000 0.000 0.016], ... 
	'HorizontalAlignment', 'left', ... 
	'Position', [47 83 198 17], ... 
	'String', 'Example of graphic application', ... 
	'TooltipString', '', ... 
	'visible', 'on');
  Label_12 = uicontrol( ...
	'parent',aboutDlg, ... 
	'Style','text', ... 
	'Units', 'pixels', ... 
	'BackgroundColor', [0.941 0.941 0.941], ... 
	'FontAngle', 'normal', ... 
	'FontName', 'Arial', ... 
	'FontSize', 11, 'FontUnits', 'points', ... 
	'FontWeight', 'normal', ... 
	'ForegroundColor', [1.000 0.000 0.016], ... 
	'HorizontalAlignment', 'left', ... 
	'Position', [76 53 140 17], ... 
	'String', 'made using guiEditor.', ... 
	'TooltipString', '', ... 
	'visible', 'on');

  aboutDlg = struct( ...
      'figure', aboutDlg, ...
      'Label_9', Label_9, ...
      'btnClose', btnClose, ...
      'Label_11', Label_11, ...
      'Label_12', Label_12);


  set (btnClose, 'callback', {@aboutDlg_btnClose_doIt, aboutDlg});
  dlg = struct(aboutDlg);

  set(aboutDlg.figure, 'visible', 'on');

%
% El código fuente escrito aquí será ejecutado cuando
% la ventana se haga visible. Funciona como el evento 'onLoad' de otros lenguajes.
%

  ret = aboutDlg;
end

## @end deftypefn

