## -*- texinfo -*-
## @deftypefn  {} {@var{ret} =} simpleplot (varargin)
##
## Create and show the main dialog, return a struct as representation of dialog.
##
## @end deftypefn
function ret = simpleplot(varargin)
  [dir, name, ext] = fileparts( mfilename('fullpathext') );
  _initialCodec = __mfile_encoding__;
  __mfile_encoding__("UTF-8");
  clear ("functions");
  global _simpleplotBasePath = dir;
  global _simpleplotImgPath = [dir filesep() 'img'];
  addpath( [dir filesep() "img" ]);
  addpath( [dir filesep() "fcn" ]);
  addpath( [dir filesep() "libs" ]);
  addpath( [dir filesep() "wnd" ]);
  addpath( [dir filesep() "guilib" ]);
  mainDlg(varargin{:});
  __mfile_encoding__(_initialCodec);
end
